Subject: Re: [PATCHv2 net] sctp: return back transport in __sctp_rcv_init_lookup

From: [email-masked]
Date: Mon, 31 Oct 2016 18:13:02 -0200

On Mon, Oct 31, 2016 at 03:53:48PM -0400, David Miller wrote:
> From: Xin Long <[email-masked]>
> Date: Mon, 31 Oct 2016 00:42:35 +0800
> 
> > Prior to this patch, it used a local variable to save the transport that is
> > looked up by __sctp_lookup_association(), and didn't return it back. But in
> > sctp_rcv, it is used to initialize chunk->transport. So when hitting this,
> > even if it found the transport, it was still initializing chunk->transport
> > with null instead.
> > 
> > This patch is to return the transport back through transport pointer
> > that is from __sctp_rcv_lookup_harder().
> > 
> > Signed-off-by: Xin Long <[email-masked]>
> 
> So do I apply this to 'net'?  If so I'd like to see explicit ACKs.
> 
> Thanks.

No. Xin reposted the patchset with this patch updated instead, so please
ignore this one. Thanks.

Patchset named: [PATCHv2 net 0/3] sctp: a bunch of fixes by holding transport